Package Details: peazip-gtk2 6.6.0-1

Git Clone URL: https://aur.archlinux.org/peazip-gtk2.git (read-only)
Package Base: peazip-gtk2
Description: GTK2 archiver utility
Upstream URL: http://www.peazip.org/peazip-linux.html
Licenses: LGPL3
Conflicts: peazip, peazip-gtk2-build, peazip-qt, peazip-qt-build, peazip-qt-opensuse-latest
Provides: peazip, peazip-gtk2
Submitter: uncle
Maintainer: None
Last Packager: gspu
Votes: 36
Popularity: 0.654744
First Submitted: 2015-08-11 04:36
Last Updated: 2018-06-20 15:40

Latest Comments

mozo commented on 2018-06-30 12:27

I don't know what "You should probably recompile peazip using the "-build" package"means. Forgive me, my native language is Bulgarian, can you explain it to me?

juhkjd43 commented on 2018-06-30 00:36

@mozo: maybe it's the same problem as there https://bbs.archlinux.org/viewtopic.php?id=237817

mozo commented on 2018-06-22 08:56

Here it is the new bug: https://sourceforge.net/p/peazip/tickets/478/ Please, participate to get it fixed!

mozo commented on 2018-06-20 20:27

@avamk, same problem here. Itried the portable version too - both give the same error.

arjunv commented on 2018-06-12 21:53

Latest version is 6.6.0 (https://github.com/giorgiotani/PeaZip/releases/tag/6.6.0)

peazip-6.6.0.LINUX.GTK2.tgz

SHA256: 70e76700171dbb2f518710b7b95b388fc8e1374e7da666997a5c8ee28e324d73062aa70aca98538075d8902900c41c49b6e6dcfc05a01632a53a21c2e71fb42e

SHA512: 4778575473883d75e025eb2792fe6725ad27ba066d861d3f67b8bac2b5841568

Eschwartz commented on 2018-06-08 10:52

uncle: please upload -bin packages so these packages can be merged into the properly named -bin package bases.

loathingkernel: feel free to upload them yourself too, as this has been getting ignored for half a year.

Once the -bin packages are uploaded (I don't care who does it), please submit a merge request for this package (and the -qt one) to be merged into the -bin package(s).

...

Once the peazip-gtk2 and peazip-qt packages have been renamed to -bin, this will open up the namespace for the -build packages to be moved into their place.

loathingkernel commented on 2018-01-08 14:57

@uncle Can you please do something about the messed up naming convention your peazip packages use?

Per convention, packages with precompiled binaries should have the '-bin' suffix and use the names without suffix for the packages that are compiled from source.

avamk commented on 2017-09-19 11:50

Just installed peazip-gtk2 but it produces the following errors when I try to run it:

(peazip:8114): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
[FORMS.PP] ExceptionOccurred
Sender=EAccessViolation
Exception=Access violation
Stack trace:
$00007F61BB398670
TApplication.HandleException Access violation
Stack trace:
$00007F61BB398670
[FORMS.PP] ExceptionOccurred

How do I troubleshoot this? Thank you.

Rivalo commented on 2016-04-04 10:17

@uncle, yeah you're right. It's horribly outdated, and already been flagged since oktober...

uncle commented on 2016-04-04 07:21

@Rivalo, @rezad
I use Manjaro, which had a more recent version of p7zip than Arch, specifically 15.09-0.2 (as opposed to 9.38.1). This is probably why it works for me, but not for others. You could always manually install a more recent version of p7zip yourself (do so at your own risk, disclaimer, etc ...). For purposes of clarification, I don't think this is a problem with this specific package/PKGBUILD, rather a problem with the old Arch pz7ip package, and with the "peazip" program itself not being backwards compatible with older versions of p7zip/7z. I don't think there is anything I can put in my PKGBUILD that will fix this. If you know of a solution, feel free to make a suggestion.

All comments